Name:           perl-Math-Random-MT-Auto
Version:        5.04
Release:        3%{?dist}
Summary:        Auto-seeded Mersenne Twister PRNGs
License:        BSD 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-Random-MT-Auto/
Source0:        http://www.cpan.org/authors/id/J/JD/JDHEDDEN/Math-Random-MT-Auto-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exception::Class) >= 1.22
BuildRequires:  perl(Object::InsideOut) >= 2.06
# testing br's...
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08, perl(Test::Pod) >= 1.26
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Source99: filter-requires.sh
%define __perl_requires %{SOURCE99}

%description
The Mersenne Twister is a fast pseudorandom number generator (PRNG) that is
capable of providing large volumes (> 10^6004) of "high quality"
pseudorandom data to applications that may exhaust available "truly" random
data sources or system-provided PRNGs such as rand.

%prep
%setup -q -n Math-Random-MT-Auto-%{version}

chmod -x samples/*
chmod +x %{SOURCE99}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README samples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*
%{_mandir}/man3/*

%changelog
* Fri Feb 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-3
- bump

* Thu Feb 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-2
- drop execute bit on filter-requires.sh to appease rpmlint

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-1
- Specfile autogenerated by cpanspec 1.70.
